> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tranthor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a segment's user count

> Get user count for a segment.



## OpenAPI

````yaml get /api/admin/segments/{segmentId}/user-count
openapi: 3.1.0
info:
  title: Tranthor API
  description: Tranthor API Swagger Documentation
  version: 0.0.1
servers: []
security: []
paths:
  /api/admin/segments/{segmentId}/user-count:
    get:
      tags:
        - Segments
      description: Get user count for a segment.
      parameters:
        - schema:
            type: string
          in: query
          name: workspaceId
          required: true
        - schema:
            type: string
          in: path
          name: segmentId
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  count:
                    type: number
                  countStatus:
                    anyOf:
                      - type: string
                        enum:
                          - settled
                      - type: string
                        enum:
                          - estimated
                      - type: string
                        enum:
                          - pending
                  recomputePending:
                    type: boolean
                  warning:
                    type: string
                required:
                  - countStatus
                  - recomputePending
        '404':
          description: An empty String
          content:
            application/json:
              schema:
                description: An empty String
                type: string
        '500':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
      security:
        - adminApiKey: []
components:
  securitySchemes:
    adminApiKey:
      type: http
      scheme: bearer
      description: >-
        An Admin API key, sent as `Authorization: Bearer <key>`. Create one in
        Settings.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.